package eu.mhsl.minenet.minigames.api.routes.createRoom;

import eu.mhsl.minenet.minigames.api.Controller;
import eu.mhsl.minenet.minigames.instance.room.Room;
import spark.Response;

import java.util.UUID;

record Req() {}
record Resp(UUID uuid) {}
public class CreateRoom extends Controller<Req, Resp> {
    @Override
    public Resp handle(Req request, Response response) {
        Room createdRoom = Room.createOwnerlessRoom();
        return new Resp(createdRoom.uuid);
    }
}
